setproctitle.c File Reference
`#include "ruby.h"`
`#include "ruby/util.h"`
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Macros

#define | compat_init_setproctitle ruby_init_setproctitle
#define | SPT_NONE 0 /* don't use it at all */
#define | SPT_PSTAT 1 /* use pstat(PSTAT_SETCMD, ...) */
#define | SPT_REUSEARGV 2 /* cover argv with title information */
#define | SPT_TYPE SPT_NONE
#define | SPT_PADCHAR '\0'

## Functions

void | compat_init_setproctitle (int argc, char *argv[])
void | setproctitle (const char *fmt,...)

## Macro Definition Documentation

#define compat_init_setproctitle ruby_init_setproctitle

Definition at line 37 of file setproctitle.c.

#define SPT_NONE 0 /* don't use it at all */

Definition at line 51 of file setproctitle.c.

#define SPT_PADCHAR '\0'

Definition at line 60 of file setproctitle.c.

Referenced by setproctitle().

#define SPT_PSTAT 1 /* use pstat(PSTAT_SETCMD, ...) */

Definition at line 52 of file setproctitle.c.

#define SPT_REUSEARGV 2 /* cover argv with title information */

Definition at line 53 of file setproctitle.c.

#define SPT_TYPE SPT_NONE

Definition at line 56 of file setproctitle.c.

## Function Documentation

void compat_init_setproctitle | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 72 of file setproctitle.c.

References argc, calloc, environ, i, NULL, ruby_strdup(), and strlen().

void setproctitle | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 125 of file setproctitle.c.

References len, NULL, SPT_PADCHAR, strlcpy(), strlen(), and vsnprintf.

Referenced by set_arg0().